# Copyright (C) 1991-2011 Altera Corporation
# Your use of Altera Corporation's design tools, logic functions
# and other software and tools, and its AMPP partner logic
# functions, and any output files from any of the foregoing
# (including device programming or simulation files), and any
# associated documentation or information are expressly subject
# to the terms and conditions of the Altera Program License
# Subscription Agreement, Altera MegaCore Function License
# Agreement, or other applicable license agreement, including,
# without limitation, that your use is for the sole purpose of
# programming logic devices manufactured by Altera and sold by
# Altera or its authorized distributors.  Please refer to the
# applicable agreement for further details.

# Quartus II: Generate Tcl File for Project
# File: ced1z_eval.tcl
# Generated on: Mon Apr 22 15:57:29 2013

# Load Quartus II Tcl Project package
package require ::quartus::project

set need_to_close_project 0
set make_assignments 1

# Check that the right project is open
if {[is_project_open]} {
    if {[string compare $quartus(project) "ced1z_eval"]} {
        puts "Project ced1z_eval is not open"
        set make_assignments 0
    }
} else {
    # Only open if not already open
    if {[project_exists ced1z_eval]} {
        project_open -revision ced1z_eval ced1z_eval
    } else {
        project_new -revision ced1z_eval ced1z_eval
    }
    set need_to_close_project 1
}

# Make assignments
if {$make_assignments} {
    set_global_assignment -name FAMILY Cyclone
    set_global_assignment -name DEVICE EP1C4F400C6
    set_global_assignment -name ORIGINAL_QUARTUS_VERSION 11.0
    set_global_assignment -name PROJECT_CREATION_TIME_DATE "13:55:08  MAI 03, 2013"
    set_global_assignment -name LAST_QUARTUS_VERSION 11.0
    set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1
    set_global_assignment -name EDA_SIMULATION_TOOL "ModelSim-Altera (Verilog)"
    set_global_assignment -name EDA_OUTPUT_DATA_FORMAT "VERILOG HDL" -section_id eda_simulation
    set_global_assignment -name PARTITION_NETLIST_TYPE SOURCE -section_id Top
    set_global_assignment -name PARTITION_FITTER_PRESERVATION_LEVEL PLACEMENT_AND_ROUTING -section_id Top
    set_global_assignment -name PARTITION_COLOR 16764057 -section_id Top
    set_global_assignment -name STRATIX_DEVICE_IO_STANDARD "3.3-V LVTTL"
    set_global_assignment -name SDC_FILE ced1z_eval.sdc
    set_global_assignment -name VERILOG_FILE ip/AD7262/hdl/write_master.v
    set_global_assignment -name VERILOG_FILE ip/AD7262/hdl/AD7763_Avalon_core.v
    set_global_assignment -name VERILOG_FILE ip/AD7262/hdl/ad7763.v
    set_global_assignment -name QSYS_FILE uC.qsys
    set_global_assignment -name FITTER_EARLY_TIMING_ESTIMATE_MODE OPTIMISTIC
    set_location_assignment PIN_F7 -to LED_D15
    set_location_assignment PIN_E9 -to LED_IO
    set_location_assignment PIN_E8 -to LED_TRANSFER
    set_location_assignment PIN_C4 -to RESET_N
    set_location_assignment PIN_C10 -to SRAM_A0
    set_location_assignment PIN_C11 -to SRAM_A1
    set_location_assignment PIN_C12 -to SRAM_A2
    set_location_assignment PIN_C13 -to SRAM_A3
    set_location_assignment PIN_C14 -to SRAM_A4
    set_location_assignment PIN_C16 -to SRAM_A5
    set_location_assignment PIN_C17 -to SRAM_A6
    set_location_assignment PIN_D10 -to SRAM_A7
    set_location_assignment PIN_D11 -to SRAM_A8
    set_location_assignment PIN_D12 -to SRAM_A9
    set_location_assignment PIN_D13 -to SRAM_A10
    set_location_assignment PIN_D14 -to SRAM_A11
    set_location_assignment PIN_D15 -to SRAM_A12
    set_location_assignment PIN_D16 -to SRAM_A13
    set_location_assignment PIN_E10 -to SRAM_A14
    set_location_assignment PIN_E11 -to SRAM_A15
    set_location_assignment PIN_E12 -to SRAM_A16
    set_location_assignment PIN_E13 -to SRAM_A17
    set_location_assignment PIN_E14 -to SRAM_A18
    set_location_assignment PIN_E15 -to SRAM_A19
    set_location_assignment PIN_E16 -to SRAM_A20
    set_location_assignment PIN_F10 -to SRAM_CE1_N
    set_location_assignment PIN_A10 -to SRAM_D0
    set_location_assignment PIN_A11 -to SRAM_D1
    set_location_assignment PIN_A12 -to SRAM_D2
    set_location_assignment PIN_A13 -to SRAM_D3
    set_location_assignment PIN_A14 -to SRAM_D4
    set_location_assignment PIN_A15 -to SRAM_D5
    set_location_assignment PIN_A17 -to SRAM_D6
    set_location_assignment PIN_B10 -to SRAM_D7
    set_location_assignment PIN_B11 -to SRAM_D8
    set_location_assignment PIN_B12 -to SRAM_D9
    set_location_assignment PIN_B13 -to SRAM_D10
    set_location_assignment PIN_B14 -to SRAM_D11
    set_location_assignment PIN_B15 -to SRAM_D12
    set_location_assignment PIN_B16 -to SRAM_D13
    set_location_assignment PIN_B17 -to SRAM_D14
    set_location_assignment PIN_B18 -to SRAM_D15
    set_location_assignment PIN_F12 -to SRAM_OE_N
    set_location_assignment PIN_F14 -to SRAM_WE_N
    set_location_assignment PIN_K5 -to USB_CLOCKOUT
    set_location_assignment PIN_V15 -to PWR_D0
    set_location_assignment PIN_V16 -to PWR_D1
    set_location_assignment PIN_V17 -to PWR_D2
    set_location_assignment PIN_W11 -to PWR_D3
    set_location_assignment PIN_W12 -to PWR_D4
    set_location_assignment PIN_W13 -to PWR_D5
    set_location_assignment PIN_W14 -to PWR_D6
    set_location_assignment PIN_W16 -to PWR_D7
    set_location_assignment PIN_W17 -to PWR_EN_REG_CLK
    set_location_assignment PIN_Y11 -to PWR_I2C_CS_N
    set_location_assignment PIN_Y13 -to PWR_I2C_RD_N
    set_location_assignment PIN_Y14 -to PWR_I2C_WR_N
    set_location_assignment PIN_Y15 -to PWR_I2C_A0
    set_location_assignment PIN_Y17 -to PWR_I2C_A1
    set_location_assignment PIN_F17 -to SCLK
    set_location_assignment PIN_E18 -to CS_N
    set_location_assignment PIN_R15 -to PD0_DIN
    set_location_assignment PIN_F15 -to DOUTA
    set_location_assignment PIN_J15 -to DOUTB
    set_location_assignment PIN_H15 -to G0
    set_location_assignment PIN_H16 -to G1
    set_location_assignment PIN_J13 -to G2
    set_location_assignment PIN_H17 -to G3
    set_location_assignment PIN_J17 -to PD1
    set_location_assignment PIN_R16 -to PD2
    set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top

    # Commit assignments
    export_assignments

    # Close project
    if {$need_to_close_project} {
        project_close
    }
}
